Index: branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/FactClientInfoController.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/FactClientInfoController.cs	(revision 12777)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/FactClientInfoController.cs	(revision 12858)
@@ -36,28 +36,26 @@
 
     public DT.FactClientInfo GetFactClientInfo(DateTime start, DateTime end) {
-      using (var pm = PersistenceManager) {
-        var factClientInfo = pm.FactClientInfoDao;
-        var query = factClientInfo.GetAll().Where(x => x.Time >= start && x.Time <= end);
-        return new DT.FactClientInfo {
-          Rows = query.Count(),
-          Clients = query.Select(x => x.ClientId).Distinct().Count()
-        };
-      }
+      var pm = PersistenceManager;
+      var factClientInfo = pm.FactClientInfoDao;
+      var query = factClientInfo.GetAll().Where(x => x.Time >= start && x.Time <= end);
+      return new DT.FactClientInfo {
+        Rows = query.Count(),
+        Clients = query.Select(x => x.ClientId).Distinct().Count()
+      };
     }
 
     public void Aggregate(DateTime start, DateTime end, int entries) {
-      using (var pm = PersistenceManager) {
-        var factClientInfoDao = pm.FactClientInfoDao;
-        var dimTimeDao = pm.DimTimeDao;
-        var clientIds = pm.UseTransaction(() => factClientInfoDao.GetAll()
-          .Where(x => x.Time >= start && x.Time <= end)
-          .Select(x => x.ClientId)
-          .Distinct()
-        );
-        foreach (var id in clientIds) {
-          AggregateClient(pm, id, start, end, entries);
-        }
-        dimTimeDao.DeleteUnusedTimes();
+      var pm = PersistenceManager;
+      var factClientInfoDao = pm.FactClientInfoDao;
+      var dimTimeDao = pm.DimTimeDao;
+      var clientIds = pm.UseTransaction(() => factClientInfoDao.GetAll()
+        .Where(x => x.Time >= start && x.Time <= end)
+        .Select(x => x.ClientId)
+        .Distinct()
+      );
+      foreach (var id in clientIds) {
+        AggregateClient(pm, id, start, end, entries);
       }
+      dimTimeDao.DeleteUnusedTimes();
     }
 
Index: branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/FactTaskController.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/FactTaskController.cs	(revision 12777)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/FactTaskController.cs	(revision 12858)
@@ -35,47 +35,44 @@
 
     public DT.JobPage GetJobs(DateTime start, DateTime end, int page, int size) {
-      using (var pm = PersistenceManager) {
-        var dimJobDao = pm.DimJobDao;
-        var factTaskDao = pm.FactTaskDao;
-        return pm.UseTransaction(() => {
-          var query = dimJobDao.GetAll().Where(x => x.DateCreated >= start && x.DateCreated <= end);
-          return new DT.JobPage {
-            TotalJobs = query.Count(),
-            Jobs = query.OrderBy(x => x.DateCreated)
-              .Skip((page - 1) * size)
-              .Take(size)
-              .Select(x => new DT.Job {
-                Id = x.JobId,
-                Name = x.JobName,
-                Username = x.UserName,
-                DateCreated = x.DateCreated,
-                Tasks = x.TotalTasks,
-                Aggregated = !(factTaskDao.GetAll().Count(y => y.JobId == x.JobId) > 1)
-              })
-              .ToList()
-          };
-        });
-      }
+      var pm = PersistenceManager;
+      var dimJobDao = pm.DimJobDao;
+      var factTaskDao = pm.FactTaskDao;
+      return pm.UseTransaction(() => {
+        var query = dimJobDao.GetAll().Where(x => x.DateCreated >= start && x.DateCreated <= end);
+        return new DT.JobPage {
+          TotalJobs = query.Count(),
+          Jobs = query.OrderBy(x => x.DateCreated)
+            .Skip((page - 1) * size)
+            .Take(size)
+            .Select(x => new DT.Job {
+              Id = x.JobId,
+              Name = x.JobName,
+              Username = x.UserName,
+              DateCreated = x.DateCreated,
+              Tasks = x.TotalTasks,
+              Aggregated = !(factTaskDao.GetAll().Count(y => y.JobId == x.JobId) > 1)
+            })
+            .ToList()
+        };
+      });
     }
 
     [HttpPost]
     public void AggregateJob(Guid id) {
-      using (var pm = PersistenceManager) {
-        AggregateJob(pm, id);
-      }
+      var pm = PersistenceManager;
+      AggregateJob(pm, id);
     }
 
     [HttpPost]
     public void AggregateAllJobs(DateTime start, DateTime end) {
-      using (var pm = PersistenceManager) {
-        var dimJobDao = pm.DimJobDao;
-        var jobIds = pm.UseTransaction(() => dimJobDao.GetAll()
-          .Where(x => x.DateCreated >= start && x.DateCreated <= end)
-          .Select(x => x.JobId)
-          .ToList()
-        );
-        foreach (var id in jobIds) {
-          AggregateJob(pm, id);
-        }
+      var pm = PersistenceManager;
+      var dimJobDao = pm.DimJobDao;
+      var jobIds = pm.UseTransaction(() => dimJobDao.GetAll()
+        .Where(x => x.DateCreated >= start && x.DateCreated <= end)
+        .Select(x => x.JobId)
+        .ToList()
+      );
+      foreach (var id in jobIds) {
+        AggregateJob(pm, id);
       }
     }
Index: branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/PluginController.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/PluginController.cs	(revision 12777)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/PluginController.cs	(revision 12858)
@@ -34,51 +34,48 @@
 
     public DT.PluginPage GetUnusedPlugins(int page, int size) {
-      using (var pm = PersistenceManager) {
-        var pluginDao = pm.PluginDao;
-        var requiredPluginDao = pm.RequiredPluginDao;
-        var taskDao = pm.TaskDao;
-        return pm.UseTransaction(() => {
-          var taskIds = taskDao.GetAll().Select(x => x.TaskId);
-          var usedPluginIds = requiredPluginDao.GetAll()
-            .Where(x => taskIds.Contains(x.TaskId))
-            .Select(x => x.PluginId)
-            .Distinct();
-          var query = pluginDao.GetAll().Where(x => !usedPluginIds.Any(y => y == x.PluginId));
-          return new DT.PluginPage {
-            TotalPlugins = query.Count(),
-            Plugins = query.OrderBy(x => x.DateCreated).ThenBy(x => x.Name)
-              .Skip((page - 1) * size)
-              .Take(size).Select(x => new DT.Plugin {
-                Id = x.PluginId,
-                Name = x.Name,
-                Version = x.Version,
-                DateCreated = x.DateCreated
-              })
-              .ToList()
-          };
-        });
-      }
+      var pm = PersistenceManager;
+      var pluginDao = pm.PluginDao;
+      var requiredPluginDao = pm.RequiredPluginDao;
+      var taskDao = pm.TaskDao;
+      return pm.UseTransaction(() => {
+        var taskIds = taskDao.GetAll().Select(x => x.TaskId);
+        var usedPluginIds = requiredPluginDao.GetAll()
+          .Where(x => taskIds.Contains(x.TaskId))
+          .Select(x => x.PluginId)
+          .Distinct();
+        var query = pluginDao.GetAll().Where(x => !usedPluginIds.Any(y => y == x.PluginId));
+        return new DT.PluginPage {
+          TotalPlugins = query.Count(),
+          Plugins = query.OrderBy(x => x.DateCreated).ThenBy(x => x.Name)
+            .Skip((page - 1) * size)
+            .Take(size).Select(x => new DT.Plugin {
+              Id = x.PluginId,
+              Name = x.Name,
+              Version = x.Version,
+              DateCreated = x.DateCreated
+            })
+            .ToList()
+        };
+      });
     }
 
     [HttpPost]
     public void DeletePlugin(Guid id) {
-      using (var pm = PersistenceManager) {
-        var pluginDao = pm.PluginDao;
-        pm.UseTransaction(() => {
-          pluginDao.Delete(id);
-          pm.SubmitChanges();
-        });
-      }
+      var pm = PersistenceManager;
+      var pluginDao = pm.PluginDao;
+      pm.UseTransaction(() => {
+        pluginDao.Delete(id);
+        pm.SubmitChanges();
+      });
     }
 
     [HttpPost]
     public void DeleteUnusedPlugins() {
-      using (var pm = PersistenceManager) {
-        var pluginDao = pm.PluginDao;
-        pm.UseTransaction(() => {
-          pluginDao.DeleteUnusedPlugins();
-          pm.SubmitChanges();
-        });
-      }
+      var pm = PersistenceManager;
+      var pluginDao = pm.PluginDao;
+      pm.UseTransaction(() => {
+        pluginDao.DeleteUnusedPlugins();
+        pm.SubmitChanges();
+      });
     }
   }
Index: branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/SpaceUsageController.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/SpaceUsageController.cs	(revision 12777)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApi/SpaceUsageController.cs	(revision 12858)
@@ -51,6 +51,6 @@
         "UserPriority"
       };
-      using (var pm = PersistenceManager) {
-        return pm.UseTransaction(() => (
+      var pm = PersistenceManager;
+      return pm.UseTransaction(() => (
           from table in tables
           select pm.GetTableInformation(table) into tableInformation
@@ -59,5 +59,4 @@
           ).ToList()
         );
-      }
     }
 
@@ -71,6 +70,6 @@
         "statistics.FactTask"
       };
-      using (var pm = PersistenceManager) {
-        return pm.UseTransaction(() => (
+      var pm = PersistenceManager;
+      return pm.UseTransaction(() => (
           from table in tables
           select pm.GetTableInformation(table) into tableInformation
@@ -79,5 +78,4 @@
           ).ToList()
         );
-      }
     }
 
